Breaking (!) API changes for v2 API, August 14 to August 21
This week's update to the mittwald API includes the removal of several required properties from responses, the addition of default values for request parameters, new optional properties in responses, and the introduction of new endpoints and request parameters to enhance functionality.
Summary
- The required property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseLinked]/changes/after/purposewas removed from the response with the '200' status for the operationGET /v2/projects/{projectId}/activities. This is a breaking change. - The required property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseLinked]/changes/before/purposewas removed from the response with the '200' status for the operationGET /v2/projects/{projectId}/activities. This is a breaking change. - The required property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseUnlinked]/changes/after/purposewas removed from the response with the '200' status for the operationGET /v2/projects/{projectId}/activities. This is a breaking change. - The required property
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseUnlinked]/changes/before/purposewas removed from the response with the '200' status for the operationGET /v2/projects/{projectId}/activities. This is a breaking change. - Default values of '1000.00' for the 'limit' request parameter and '0.00' for the 'skip' request parameter were added for the operation
GET /v2/projects/{projectId}/sftp-users. - Default values of '1000.00' for the 'limit' request parameter and '0.00' for the 'skip' request parameter were added for the operation
GET /v2/projects/{projectId}/ssh-users. - The new 'database.redis-version-set' enum value was added to the
/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseVersionSet]/nameresponse property for the operationGET /v2/projects/{projectId}/activities. - The minimum value of '0.00' was set for the 'limit' request parameter for the operations
GET /v2/projects/{projectId}/sftp-usersandGET /v2/projects/{projectId}/ssh-users. - The schema 'de.mittwald.v1.task.AggregateReference' was removed from the API.
- An endpoint was added for the operation
GET /v2/app-installations/{appInstallationId}/system-softwareto retrieve the installedSystemSoftwarefor a specificAppInstallation. - The optional property
/items/owner/leitwegIdwas added to the response with the '200' status for the operationsGET /v2/customers,POST /v2/customers, andPUT /v2/customers/{customerId}. - The optional property 'scopeChangeAcceptanceDeadline' was added to the response with the '200' status for the operations
GET /v2/customers/{customerId}/extensions/{extensionId},GET /v2/extension-instances, andGET /v2/extension-instances/{extensionInstanceId}. - The new optional 'query' request parameter 'hasAcceptedAllScopes' was added for the operation
GET /v2/extension-instances. - The new optional 'query' request parameter 'stackId' was added for the operation
GET /v2/projects/{projectId}/cronjobs. - The new optional 'query' request parameter 'page' was added for the operations
GET /v2/projects/{projectId}/sftp-usersandGET /v2/projects/{projectId}/ssh-users. - An endpoint was added for the operation
GET /v2/servicesto list services the executing user has access to.
Disclaimer: This summary is AI-generated. If you find any discrepancies, please refer to the detailed changes below.
Detailed changes
Changes in "Get the activities of a project"
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseLinked]/changes/after/purpose' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseLinked]/changes/before/purpose' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseUnlinked]/changes/after/purpose' from the response with the '200' status
-
⚠️ Breaking: removed the required property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.AppInstallationDatabaseUnlinked]/changes/before/purpose' from the response with the '200' status
-
added the new 'database.redis-version-set' enum value to the '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DatabaseVersionSet]/name' response property for the response status '200'
-
added the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DnsARecordSetManaged]/changes/after/ttl' to the response with the '200' status
-
added the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DnsARecordSetManaged]/changes/before/ttl' to the response with the '200' status
-
added the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DnsMxRecordSetManaged]/changes/after/ttl' to the response with the '200' status
-
added the optional property '/items/action/anyOf[#/components/schemas/de.mittwald.v1.activitylog.DnsMxRecordSetManaged]/changes/before/ttl' to the response with the '200' status
-
added '#/components/schemas/de.mittwald.v1.activitylog.AppInstallationMainDatabaseChanged' to the '/items/action' response property 'anyOf' list for the response status '200'
For details, refer to the GET/ endpoint.
Changes in "Get all SFTP users for a Project"
-
⚠️ Breaking: for the 'query' request parameter 'limit', default value '1000.00' was added
-
⚠️ Breaking: for the 'query' request parameter 'skip', default value '0.00' was added
-
for the 'query' request parameter 'limit', the min was set to '0.00'
-
added the new optional 'query' request parameter 'page'
For details, refer to the GET/ endpoint.
Changes in "Get all SSH users for a Project"
-
⚠️ Breaking: for the 'query' request parameter 'limit', default value '1000.00' was added
-
⚠️ Breaking: for the 'query' request parameter 'skip', default value '0.00' was added
-
for the 'query' request parameter 'limit', the min was set to '0.00'
-
added the new optional 'query' request parameter 'page'
For details, refer to the GET/ endpoint.
Changes in ""
- removed the schema 'de.mittwald.v1.task.AggregateReference'
For details, refer to the unknown operation endpoint.
Changes in "Get the installed system software' for a specific app installation`"
- endpoint added
For details, refer to the GET/ endpoint.
Changes in "Get all customer profiles the authenticated user has access to"
- added the optional property '/items/owner/leitwegId' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Create a new customer profile"
- added the new optional request property 'owner/leitwegId'
For details, refer to the POST/ endpoint.
Changes in "Get a customer profile"
- added the optional property 'owner/leitwegId' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Update a customer profile"
- added the new optional request property 'owner/leitwegId'
For details, refer to the PUT/ endpoint.
Changes in "Get the extension instance of a specific customer and extension, if existing"
- added the optional property 'scopeChangeAcceptanceDeadline' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List extension instances"
-
added the new optional 'query' request parameter 'hasAcceptedAllScopes'
-
added the optional property '/items/scopeChangeAcceptanceDeadline' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "Get an extension instance"
- added the optional property 'scopeChangeAcceptanceDeadline' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List cronjobs belonging to a Project"
- added the new optional 'query' request parameter 'stackId'
For details, refer to the GET/ endpoint.
Changes in "Get the extension instance of a specific project and extension, if existing"
- added the optional property 'scopeChangeAcceptanceDeadline' to the response with the '200' status
For details, refer to the GET/ endpoint.
Changes in "List Services the executing user has access to"
- endpoint added
For details, refer to the GET/ endpoint.
Client package releases
mittwald JavaScript SDK Release 4.445.0
The mittwald JavaScript SDK has been updated to version 4.445.0. This release includes an update to the generated client, enhancing the functionality of the SDK. For more details, you can view the release on GitHub here.
mittwald JavaScript SDK Release 4.444.0
The mittwald JavaScript SDK version 4.444.0 has been released. This update includes a feature enhancement with an updated generated client. For more details, you can view the release on GitHub.
mittwald JavaScript SDK Release 4.443.0
The mittwald JavaScript SDK has been updated to version 4.443.0. This release includes an update to the generated client, enhancing the SDK's functionality. For more details, you can view the release on GitHub here.
mittwald JavaScript SDK Release 4.442.0
The mittwald JavaScript SDK has been updated to version 4.442.0. This release includes the following feature:
- Updated the generated client to enhance functionality (commit c22cfc1).
For more details, visit the release page.